Bug 438973 - Cannot right click and Go To a counterparty split if it is a category
Summary: Cannot right click and Go To a counterparty split if it is a category
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Applications
Component: general (show other bugs)
Version: 5.1.1
Platform: Other Other
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-21 04:44 UTC by Dawid Wróbel
Modified: 2022-06-22 14:40 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.1.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dawid Wróbel 2021-06-21 04:44:04 UTC
SUMMARY
You can right click on a transaction and Go To a split if it is another Asset or Liability account, but not if it is a Category

STEPS TO REPRODUCE
1. Right click on a transaction that is assigned to a category

OBSERVED RESULT
You cannot use right click to go to that category

EXPECTED RESULT
You should be able to go to that category just like you can go to an Asset or Liability account
Comment 1 Bug Janitor Service 2021-06-21 05:57:35 UTC
A possibly relevant merge request was started @ https://invent.kde.org/office/kmymoney/-/merge_requests/97
Comment 2 Dawid Wróbel 2021-06-22 20:36:06 UTC
Git commit ca17e026e9816751eeaa42968dbcb274093ca5ff by Dawid Wrobel, on behalf of Dawid Wróbel.
Committed on 22/06/2021 at 19:37.
Pushed by wrobelda into branch '5.1'.

Allow to "Go to" a category from right-click menu

M  +17   -10   kmymoney/views/kgloballedgerview_p.h

https://invent.kde.org/office/kmymoney/commit/ca17e026e9816751eeaa42968dbcb274093ca5ff
Comment 3 Jack 2022-01-01 22:59:59 UTC
I'm wondering if this is related to a similar problem I've recently noticed.  For an investment transaction which uses or produces funds, in the investment account, I can right click and see a link to go to the brokerage account.  In the brokerage account, however, I only see a link back to the investment account for buy or sell transactions, not for dividend type transactions, where I only see a link to go to the category.  Is it possible this fix cause the problem I am seeing?  Should I open as a separate bug?